
	box = {}
	box.x = 20
	box.y = 20
	box.x_vel = 0
	box.y_vel = 0
	box.speed = 100

function box_draw()

	love.graphics.setColor(255,255,255)
	love.graphics.rectangle("fill", box.x, box.y, 32, 32)

end

function box_update(dt)

	if love.keyboard.isDown("a") then
        local _x=box.x - box.speed * dt
        if not box_checkCollision(_x,box.y) then box.x = _x end
	end 
	if love.keyboard.isDown("d") then
        local _x=box.x + box.speed * dt
        if not box_checkCollision(_x,box.y) then box.x = _x end
 	end 
 	if love.keyboard.isDown("w") then
        local _y=box.y - box.speed * dt
        if not box_checkCollision(box.x,_y) then box.y = _y end
 	end 
 	if love.keyboard.isDown("s") then
        local _y=box.y + box.speed * dt
        if not box_checkCollision(box.x,_y) then box.y = _y end
 	end
end

function box_checkCollision(x,y)
    local col=false

    for grid_y,v in ipairs(tiletable) do
        for grid_x,tile in ipairs(v) do
            if tile==3 and x+tileW>(grid_x-1)*tileW and y+tileH>(grid_y-1)*tileH and x<(grid_x-1)*tileW+tileW and y<(grid_y-1)*tileH+tileH then col=true end
        end
    end

    return col
end
